%define name	ltris
%define version 010310
%define release 3mdk

Summary:	Nice tetris clone
Name:	        %{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/lgames/ltris-%{version}.tar.bz2
Source4:	%{name}.menu
Source5:	%{name}16.xpm
Source6:	%{name}32.xpm
Source7:	%{name}48.xpm
License:	GPL
Group:		Games/Arcade
Packager:	Pixel <pixel@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	%{ix86}
Requires:	common-licenses
BuildRequires:  libSDL-devel
Patch: ltris-010310-build.patch.bz2


%description
o Tetris clone using SDL
o Sound
o Menu
o Controls can be redefined
o Block preview
o Starting level between 0 and 9
o Various backgrounds
o HighScores
o Nice graphics
o Smooth gameplay
o Cool effects (transparency, animations)
o Two player mode
o Two game modes

%prep
%setup -q
%patch0 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sdir=$RPM_BUILD_ROOT%{_datadir}/games/%{name} hdir=$RPM_BUILD_ROOT%{_localstatedir}/games/%{name}

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO ltris.lsm INSTALL AUTHORS ChangeLog
%attr(2755, root, games) %{_bindir}/*
%dir %attr(775, games, games) %{_localstatedir}/games/%{name}
%attr(664, games, games) %{_localstatedir}/games/%{name}/*
%{_datadir}/games/%{name}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 010310-3mdk
- fixing rights on /var/lib/games/*

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 010310-2mdk
- rebuild with new SDL

* Fri Apr 27 2001 Pixel <pixel@mandrakesoft.com> 010310-1mdk
- new version

* Mon Mar 12 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 001115-4mdk
- Add BuildRequires line for libSDL1.1-devel

* Mon Mar 12 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 001115-3mdk
- Allow ltris to save highscores by making the highscore directory
  group writable

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 001115-2mdk
- ExclusiveArch: x86
- Requires: common-licenses
- More docs

* Wed Dec 20 2000 Pixel <pixel@mandrakesoft.com> 001115-1mdk
- new version

* Tue Nov 07 2000 David BAUDENS <baudens@mandrakesoft.com> 001017-3mdk
- ExcludeArch: ppc

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 001017-2mdk
- rebuild
- longtitle
- capitalize summary

* Wed Oct 18 2000 Pixel <pixel@mandrakesoft.com> 001017-1mdk
- new version

* Wed Oct  4 2000 Pixel <pixel@mandrakesoft.com> 000705-2mdk
- new icons (thanks to the author Michael Speck)

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000705-1mdk
- initial spec

